package com.alibaba.druid.sql.dialect.mysql.ast.clause;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLStatement;
import com.alibaba.druid.sql.dialect.mysql.ast.statement.MySqlStatementImpl;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MySqlRepeatStatement extends MySqlStatementImpl {
   private String labelName;
   private List<SQLStatement> statements = new ArrayList();
   private SQLExpr condition;

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.statements);
         this.acceptChild(visitor, this.condition);
      }

      visitor.endVisit(this);
   }

   public List<SQLStatement> getStatements() {
      return this.statements;
   }

   public void setStatements(List<SQLStatement> statements) {
      this.statements = statements;
   }

   public String getLabelName() {
      return this.labelName;
   }

   public void setLabelName(String labelName) {
      this.labelName = labelName;
   }

   public SQLExpr getCondition() {
      return this.condition;
   }

   public void setCondition(SQLExpr condition) {
      this.condition = condition;
   }
}
